// /themes/custom/my_theme/js/custom.js

(function (Drupal, $) {
    'use strict';
  
    Drupal.behaviors.myCustomBehavior = {
      attach: function (context, settings) {
        // Example: Log a message when the DOM is ready.
        console.log('Custom.js is working!');
  

        // // Example: Show an alert when a button is clicked.
        // $('.my-button-class', context).once('myButtonBehavior').on('click', function () {
        //   alert('Button clicked!');
        // });


        // Function to generate the collapsible sidebar menu
        function generateSidebarMenu() {
            const sidebarMenu = document.getElementById('sidebar-menu');
            const contentArea = document.querySelector('.main-area');
            const headings = contentArea.querySelectorAll('h2, h3, h4');

            let currentHeadingGroup = null;
            let subMenu = null;

            headings.forEach((heading, index) => {
                const id = `heading-${index}`;
                heading.id = id;

                if (heading.tagName === 'H2') {
                    // Create a new collapsible section for H2 headings
                    currentHeadingGroup = document.createElement('div');
                    currentHeadingGroup.classList.add('accordion-item');

                    currentHeadingGroup.innerHTML = `
                        <h2 class="accordion-header" id="heading-${index}">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-${index}" aria-expanded="false" aria-controls="collapse-${index}">
                                ${heading.textContent}
                            </button>
                        </h2>
                        <div id="collapse-${index}" class="accordion-collapse collapse" aria-labelledby="heading-${index}" data-bs-parent="#sidebar-menu">
                            <div class="accordion-body">
                                <ul class="list-unstyled" id="sub-menu-${index}">
                                    <!-- Sub-menu items will be inserted here -->
                                </ul>
                            </div>
                        </div>
                    `;

                    sidebarMenu.appendChild(currentHeadingGroup);
                    subMenu = currentHeadingGroup.querySelector(`#sub-menu-${index}`);
                } else {
                    // Add sub-headings (H3 to H6) as sub-menu items under the current H2 group
                    if (subMenu) {
                        const li = document.createElement('li');
                        const a = document.createElement('a');
                        a.href = `#${id}`;
                        a.textContent = heading.tagName === 'H3' ? `→ ${heading.textContent}` :
                                        heading.tagName === 'H4' ? `→→ ${heading.textContent}` :
                                        heading.tagName === 'H5' ? `→→→ ${heading.textContent}` :
                                        `→→→→ ${heading.textContent}`;

                        li.appendChild(a);
                        subMenu.appendChild(li);
                    }
                }
            });
        }

        // Generate sidebar menu on page load
        window.onload = generateSidebarMenu;

      }
    };
  
  })(Drupal, jQuery);

  